%define	pkgname	mozjs
%define	api	24
%define libname	%mklibname %{pkgname} %{api}
%define libdev %mklibname %{pkgname} %{api} -d

Summary:	JavaScript interpreter and libraries
Name:		mozjs24
Version:	24.2.0
Release:	%mkrel 1
License:	GPLv2+ or LGPLv2+ or MPLv1.1
Group:		Development/Other
URL:		http://www.mozilla.org/js/
Source0:	http://ftp.mozilla.org/pub/mozilla.org/js/mozjs-%{version}.tar.xz
Patch0:		js17-build-fixes.patch
BuildRequires:	%{_lib}nspr-devel
BuildRequires:	%{_lib}python3-devel
BuildRequires:	readline-devel
BuildRequires:	autoconf2.1

%description
JavaScript is the Netscape-developed object scripting language used in millions
of web pages and server applications worldwide. Netscape's JavaScript is a
superset of the ECMA-262 Edition 3 (ECMAScript) standard scripting language,
with only mild differences from the published standard.

%package -n %{libname}
Summary:	JavaScript engine library
Group:		System/Libraries

%description -n %{libname}
JavaScript is the Netscape-developed object scripting languages. This
package has been created for purposes of Sablotron and is suitable for
embedding in applications. See http://www.mozilla.org/js for details
and sources.

%package -n %{libdev}
Summary:	The header files for %{name}
Group:		Development/Libraries
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n %{libdev}
This package contains the header files, static libraries and development
documentation for %{name}. If you like to develop programs using %{name},
you will need to install %{name}-devel.

%prep
%setup -q -n %pkgname-%version
%apply_patches

# Delete bundled sources
rm -rf js/src/editline
rm -rf js/src/ctypes/libffi

chmod a+x configure

pushd js/src
	autoconf-2.13
popd

%build
%configure2_5x --disable-static --with-system-nspr --enable-threadsafe --enable-readline
%make


%install
rm -rf %buildroot
%makeinstall_std

#package fixes
find %{buildroot}%{_includedir} -type f -exec chmod a-x {} \;
chmod a-x  %{buildroot}%{_libdir}/pkgconfig/*.pc
rm -f %{buildroot}%{_libdir}/*.a
rm -f %{buildroot}%{_bindir}/js%{api}
rm -f %{buildroot}%{_bindir}/js%{api}-config

%files -n %{libname}
%defattr(-, root, root)
%doc LICENSE README
%{_libdir}/*.so

%files -n %{libdev}
%defattr(-, root, root)
%{_libdir}/pkgconfig/*.pc
%{_includedir}/mozjs-%{api}

%clean
rm -rf %buildroot

%changelog
* Wed Apr 16 2014 bb <bb> 24.2.0-1pclos2014
- import into pclos
